Skip to content

Get all permissions for the requesting user

Request

Security
oauth2 or bearerAuth or apiKeyHeader
GET
/auth/permissions
curl -i -X GET \
  https://sandboxapi.peach.finance/api/auth/permissions \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

companyId*Array of stringsadditional property

User permissions per company. An object keyed by companyId's as strings. The value for a given companyId is a list of strings indicating the permissions the user has within that company.

Response
{ "message": "string", "status": 0, "companyId1": [ "string" ], "companyId2": [ "string" ] }